---
title: Raw / Binary / URL
description: Raw / Binary / URL Collector Plugin
---

import Plugin from '@site/src/components/Plugins';

Collects artifacts that are not managed by a package manager.  For example: local files, URL downloads.

<Plugin transferTag="hoppr.core_plugins.collect_raw_plugin">
{
`  process_timeout: 60
`
}
</Plugin>

:::tip

To collect local files, use `file:` as the repository url in the manifest file.  For URL downloads, the url will be a concatenation of the repository url and the purl namespace, followed by the purl name.

:::

### Configuration Options

| Option          | Details                                                        |
| --------------- | -------------------------------------------------------------|
| process_timeout | Number of seconds to attempt collect before timeout.  **Default:** 60 |

### Proxy and Certificate Configuration

This collector does not provide a way to specify proxies or certificates.

### Credentials Configuration

To specify credentials, you need a [credentials file](../../tutorials/processing-101.md#credentials).

Sample credentials file:

```yaml
---
schemaVersion: v1
kind: Credentials

metadata:
  name: Registry Credentials
  version: v1
  description: Sample credentials file

credential_required_services:
  - url: registry.gitlab.com
    user_env: CI_REGISTRY_USER
    pass_env: CI_REGISTRY_PASSWORD
```

### SBOM Generation Tools

:::note
For sbom generation tools visit the [CycloneDX Tool Center](https://cyclonedx.org/tool-center/)
:::
